# Event::signal

(PECL event >= 1.2.6-beta)

Event::signal — Constructs signal event object

### Description

public static Event::signal ( EventBase `$base` , int `$signum` , callable `$cb` [, mixed `$arg` ] ) : Event

Constructs signal event object. This is a straightforward method to create a signal event. Note, the generic Event::__construct() method can contruct signal event objects too.

### Parameters

`base`

  The associated event base object.

`signum`

  The signal number.

`cb`

  The signal event callback. See Event callbacks .

`arg`

  Custom data. If specified, it will be passed to the callback when event triggers.

### Return Values

Returns Event object on success. Otherwise `FALSE`.

### See Also

- Constructing signal events